import { ColorEditor } from "./ColorEditor.js";
export interface IColorChangeEventArgs {
    color: string;
}
export interface IColorEditorPopUpOptions extends Jade.UI.IControlOptions {
    handle: JQuery;
    editor: ColorEditor;
    change?: (e: IColorChangeEventArgs) => void;
}
export declare class ColorEditorPopUp extends Jade.UI.Control {
    private m_handle;
    private m_editor;
    constructor(options: IColorEditorPopUpOptions);
    private get editor();
    private get handle();
    private get colorPickerNode();
    private get colorPicker();
    private get changeCallback();
    private get rInput();
    private get gInput();
    private get bInput();
    private get hexInput();
    private get editorValue();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private rInput_onChange;
    private gInput_onChange;
    private bInput_onChange;
    private hexInput_onChange;
    private popup_init;
    private popup_onShow;
    private colorpicker_init;
    private colorpicker_onChange;
    private updateColorInputs;
    private updateHex;
    private updateRGB;
}
